
Foreman - Bug #12132

API host's all parameters should also display host's parameters 

10/11/2015 09:06 AM - Shlomi Zadok

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: API   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2812

  

Description

In /api/v2/hosts#show, :all_parameters do not show the host's parameters (only its inherited parameters)

Related issues:

Related to Foreman - Bug #11763: Host API does not return all parameters (e.g... Closed 09/10/2015

Associated revisions

Revision 4e08a71c - 10/27/2015 11:16 AM - Shlomi Zadok

Fixes #12132 - [API] Host all parameters should include host parameters

Revision 90c62086 - 10/28/2015 11:20 AM - Shlomi Zadok

Fixes #12132 - [API] Host all parameters should include host parameters

(cherry picked from commit 4e08a71c51ae9c861f138d70f9c82c6e3193f6ca)

History

#1 - 10/11/2015 09:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2812 added

- Pull request deleted ()

#2 - 10/12/2015 02:12 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#3 - 10/12/2015 02:12 AM - Dominic Cleal

- Related to Bug #11763: Host API does not return all parameters (e.g. from locations, et al.) added

#4 - 10/27/2015 12:01 PM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4e08a71c51ae9c861f138d70f9c82c6e3193f6ca.
